📔 Logger API

### Hierarchy

- Logger

## Index

### Constructors

- constructor

### Properties

- BB

### Methods

- debug
- error
- info
- log
- warn

## Constructors

### constructor

- new Logger(BB: BlueBase): Logger

- - Defined in api/Logger.ts:6

  #### Parameters

  - ##### BB: BlueBase

  #### Returns Logger

## Properties

### Private BB

BB: BlueBase

- Defined in api/Logger.ts:7

## Methods

### debug

- debug(message?: any, ...params: any[]): void

- - Defined in api/Logger.ts:27

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...params: any[]

  #### Returns void

### error

- error(message?: any, ...params: any[]): void

- - Defined in api/Logger.ts:23

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...params: any[]

  #### Returns void

### info

- info(message?: any, ...params: any[]): void

- - Defined in api/Logger.ts:15

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...params: any[]

  #### Returns void

### log

- log(message?: any, ...params: any[]): void

- - Defined in api/Logger.ts:11

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...params: any[]

  #### Returns void

### warn

- warn(message?: any, ...params: any[]): void

- - Defined in api/Logger.ts:19

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...params: any[]

  #### Returns void

Generated using TypeDoc